export default {
    data() {
        return {
            formInline: {
                windfarm: "",
                project: "",
                line: "",
            },
            options: [{
                value: 'MHS_FDC',
                label: '麻黄山风电场'
            }, {
                value: 'NSS_FDC',
                label: '牛首山风电场'
            },
            {
                value: 'SBQ_FDC',
                label: '石板泉风电场'
            },
            {
                value: 'QS_FDC',
                label: '青山风电场'
            },
            {
                value: 'XS_FDC',
                label: '香山风电场'
            }],
            value: "",
            value2: "",
            value3: "",
            value4: "",
            ortInOrder: [],
            sortInOrderTop: [],
            sortInOrde2: [],
            getTableData: [],
            fdcName1: '',
            fdcName2: '',
            dialogTableVisible: false,
            year: "",
            month: "",
            cid: [],
            wpId: [],
            options2: [
                {
                    value: '1',
                    label: '一值'
                }, {
                    value: '2',
                    label: '二值'
                },
                {
                    value: '3',
                    label: '三值'
                },

            ],
            classification: [{
                id: 'qf',
                label: '弃风率'
            }, {
                id: 'gz',
                label: '故障损失率'
            },
            {
                id: 'jx',
                label: '检修损失率'
            },
            {
                id: 'xn',
                label: '性能损失率'
            },
            {
                id: 'sl',
                label: '受累损失率'
            }],
            multipleSelection: [],
            getTableDataAll: [],
            pagesize: 10,
            currentPage2: 1,
            orderByColumn: '',
            isAsc: 'asc',
            doesExist: 'no',
            tableData: []
        }
    },
    created() {
        this.API.get('/powercompare/windfarmAjax').then((res) => {
                this.options = res.data;
        })
        this.InterValueDatainitial();
    },
    methods: {
        headStyle() {
            return "text-align:center"
        },
        queryApData() {
            this.InterValueData();
        },
        queryApDataMx() {
            this.dialogTableVisible = true;
            this.$nextTick(function () {
                this.drawPie('leiDaTu')
            })
            this.$nextTick(function () {
                this.drawPie2('leiDaTu2')
            })
        },
        handleEdit(a, b) {
            this.cid = [];
            this.wpId = [];
            if (this.multipleSelection.length == 2) {
                for (let i = 0; i < this.multipleSelection.length; i++) {
                    this.cid.push(this.multipleSelection[i].cid)
                    this.wpId.push(this.multipleSelection[i].wpId)
                }
                this.$router.push({
                    path: '/interValueLineTable',
                    query: {
                        cid: this.cid,
                        wpId: this.wpId
                    }
                })
            }
            else {
                console.log(b)
                this.$router.push({
                    path: '/interValueLineTable',
                    query: {
                        cid: b.cid,
                        wpId: b.wpId
                    }
                })

            }
        },
        handleSelectionChange(val) {
            this.sortInOrder = [];
            this.sortInOrderTop = [];
            this.getTableData = [];
            this.sortInOrde2 = [];
            this.multipleSelection = val;
            if (this.multipleSelection.length == 2) {
                this.fdcName1 = this.multipleSelection[0].wpName;
                this.fdcName2 = this.multipleSelection[1].wpName;
                this.sortInOrder.push(this.multipleSelection[0].fnlyl, this.multipleSelection[0].xqjsl,
                    this.multipleSelection[0].ztzhjsl, this.multipleSelection[0].fwjsl, this.multipleSelection[0].slssl,
                    this.multipleSelection[0].xnssl, this.multipleSelection[0].qfl, this.multipleSelection[0].jxssl,
                    this.multipleSelection[0].gzssl);
                this.sortInOrderTop.push(this.multipleSelection[1].fnlyl, this.multipleSelection[1].xqjsl,
                    this.multipleSelection[1].ztzhjsl, this.multipleSelection[1].fwjsl, this.multipleSelection[1].slssl,
                    this.multipleSelection[1].xnssl, this.multipleSelection[1].qfl, this.multipleSelection[1].jxssl,
                    this.multipleSelection[1].gzssl);
                for (let i = 0; i < this.multipleSelection.length; i++) {
                    this.sortInOrde2.push({
                        product: this.multipleSelection[i].wpName, '限电损失电量单位:万KWh': this.multipleSelection[i].xdss,
                        '故障损失电量单位:万KWh': this.multipleSelection[i].gzss, '检修损失电量单位:万KWh': this.multipleSelection[i].jxssl,
                        '性能损失电量单位:万KWh': this.multipleSelection[i].xnssl, '受累损失电量单位:万KWh': this.multipleSelection[i].slss
                    });
                }
                this.getTableData.push({ index: '发电量', data1: this.multipleSelection[0].fdl, data2: this.multipleSelection[1].fdl });
                this.getTableData.push({ index: '故障损失电量', data1: this.multipleSelection[0].gzss, data2: this.multipleSelection[1].gzss });
                this.getTableData.push({ index: '检修损失电量', data1: this.multipleSelection[0].jxssl, data2: this.multipleSelection[1].jxssl });
                this.getTableData.push({ index: '性能未达标损失电量', data1: this.multipleSelection[0].xnsslfraction, data2: this.multipleSelection[1].xnsslfraction });
                this.getTableData.push({ index: '受累损失电量', data1: this.multipleSelection[0].slss, data2: this.multipleSelection[1].slss });
                this.getTableData.push({ index: '风能利用率', data1: this.multipleSelection[0].fnlyl, data2: this.multipleSelection[1].fnlyl });
                this.getTableData.push({ index: '故障损失率', data1: this.multipleSelection[0].gzssl, data2: this.multipleSelection[1].gzssl });
                this.getTableData.push({ index: '检修损失率', data1: this.multipleSelection[0].jxssl, data2: this.multipleSelection[1].jxssl });
                this.getTableData.push({ index: '弃风率', data1: this.multipleSelection[0].qfl, data2: this.multipleSelection[1].qfl });
                this.getTableData.push({ index: '性能损失率', data1: this.multipleSelection[0].xnssl, data2: this.multipleSelection[1].xnssl });
                this.getTableData.push({ index: '受累损失率', data1: this.multipleSelection[0].slssl, data2: this.multipleSelection[1].slssl });
                this.getTableData.push({ index: '复位及时率', data1: this.multipleSelection[0].fwjsl, data2: this.multipleSelection[1].fwjsl });
                this.getTableData.push({ index: '消缺及时率', data1: this.multipleSelection[0].xqjsl, data2: this.multipleSelection[1].xqjsl });
                this.getTableData.push({ index: '状态转换率', data1: this.multipleSelection[0].ztzhjsl, data2: this.multipleSelection[1].ztzhjsl });
            }

        },
        changeTableSort(column) {
            this.orderByColumn = column.prop;
            if (column.order == "descending") {
                this.isAsc = 'desc';
            } else if (column.order == "ascending") {
                this.isAsc = "asc";
            }
            this.InterValueDatainitial();
        },
        InterValueDatainitial() {
            this.API.get('/powercompare/windfarmAjax').then((res) => {
                this.options = res.data;
            })
            this.doesExist = 'no';
            var valueData1 = new URLSearchParams();
            valueData1.append('orderByColumn', this.orderByColumn);
            valueData1.append('isAsc', this.isAsc);
            this.API.post('/contrast/benchmarkZjList', valueData1).then((res) => {
                console.log(res)
                this.tableData = res.data;
                // for(let i=0;i<this.tableData.length;i++){
                //     this.getTableDataAll.push(this.tableData[i])
                // }
            })
        },
        InterValueData() {
            this.doesExist = 'no';
            var valueData = new URLSearchParams();
            valueData.append('orderByColumn', this.orderByColumn);
            valueData.append('isAsc', this.isAsc);
            valueData.append('wpId', this.value);
            valueData.append('year', this.value2);
            valueData.append('month', this.value3);
            valueData.append('zjs', this.value4)
            this.API.post('/contrast/addBenchmarkZj', valueData).then((res) => {
                console.log(res.data)
                this.tableData.push(res.data[0]);
            })
        },
        drawPie() {
            var charts;
            if (charts != null && charts != "" && charts != undefined) {
                charts.dispose();
            }
            charts = this.$echarts.init(document.getElementById('leiDaTu'));
            let option = {
                title: {
                    // text: '对标排名分析',
                    left: 'center'
                },
                tooltip: {},
                // legend: {
                //     data: ['预算分配（Allocated Budget）', '实际开销（Actual Spending）'],
                //     left: 'right'
                // },
                radar: {
                    // shape: 'circle',
                    name: {
                        textStyle: {
                            color: '#fff',
                            backgroundColor: '#999',
                            borderRadius: 3,
                            padding: [3, 5]
                        }
                    },
                    indicator: [
                        { name: '风能利用率', max: 150 },
                        { name: '消缺及时率', max: 150 },
                        { name: '状态转换率', max: 150 },
                        { name: '复位及时率', max: 150 },
                        { name: '受累损失率', max: 150 },
                        { name: '性能损失率', max: 150 },
                        { name: '弃风率', max: 150 },
                        { name: '检修损失率', max: 150 },
                        { name: '故障损失率', max: 150 },
                    ]
                },
                series: [{
                    name: '预算 vs 开销（Budget vs spending）',
                    type: 'radar',
                    // areaStyle: {normal: {}},
                    data: [
                        {
                            value: this.sortInOrder,
                            name: this.fdcName1
                        },
                        {
                            value: this.sortInOrderTop,
                            name: this.fdcName2
                        }
                    ]
                }]
            }
            charts.clear();
            charts.setOption(option);

        },
        drawPie2() {
            var charts2;
            if (charts2 != null && charts2 != "" && charts2 != undefined) {
                charts2.dispose();
            }
            charts2 = this.$echarts.init(document.getElementById('leiDaTu2'));
            let option2 = {
                legend: {
                    orient: 'vertical',
                    left: 'right'
                },
                tooltip: {},
                dataset: {
                    dimensions: ['product', '限电损失电量单位:万KWh', '故障损失电量单位:万KWh', '检修损失电量单位:万KWh', '性能损失电量单位:万KWh', '受累损失电量单位:万KWh'],
                    source: this.sortInOrde2
                },
                xAxis: { type: 'category' },
                yAxis: {},
                // Declare several bar series, each will be mapped
                // to a column of dataset.source by default.
                series: [
                    {
                        // barGap:'100%',/*多个并排柱子设置柱子之间的间距*/
                        type: 'bar',
                        barWidth: 30,
                        itemStyle: {
                            normal: {
                                color: '#D201D8'
                            }
                        }
                    },
                    {

                        type: 'bar',
                        barWidth: 30,
                        itemStyle: {
                            normal: {
                                color: '#FD0100'
                            }
                        }
                    },
                    {

                        type: 'bar',
                        barWidth: 30,
                        itemStyle: {
                            normal: {
                                color: '#FF7B16'
                            }
                        }
                    },
                    {

                        type: 'bar',
                        barWidth: 30,
                        itemStyle: {
                            normal: {
                                color: '#8085E9'
                            }
                        }
                    },
                    {
                        type: 'bar',
                        barWidth: 30,
                        itemStyle: {
                            normal: {
                                color: '#A6A6A6'
                            }
                        }
                    },
                ]
            }
            charts2.clear();
            charts2.setOption(option2);

        },
        clearAll() {
            this.tableData = [];
        }
    }
}